Summary:     The Open Source toolkit for Secure Sockets Layer and Transport Layer Security
Name:        openssl097
Version:     0.9.7g
Release:     8.pp
License:     BSD-style, OpenSSL
Group:       Development/Libraries
Source0:     http://www.openssl.org/source/openssl-%{version}.tar.gz
Source1:     Makefile.certs
Patch0:      openssl-filenames.patch
URL:         http://www.openssl.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      The OpenSSL Project
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc krb5-libs >= 1.4 zlib perl
Provides:    %{name}.pp %{name} openssl
Prereq:      /bin/bash /sbin/ldconfig /bin/chmod
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: /bin/tar perl glibc-devel krb5-devel >= 1.4 zlib-devel
ExclusiveOS: linux

%description
The OpenSSL Project is a collaborative effort to develop a
robust, commercial-grade, fully featured, and Open Source
toolkit implementing the Secure Sockets Layer (SSL v2/v3)
and Transport Layer Security (TLS v1) as well as a full-
strength general-purpose cryptography library.

OpenSSL is based on the excellent SSLeay library developed
by Eric A. Young and Tim J. Hudson. The OpenSSL toolkit is
licensed under an Apache-style licence, which basically means
that you are free to get and use it for commercial and non-
commercial purposes subject to some simple license conditions.


%package devel
Summary:     The development environment for OpenSSL
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp
Conflicts:   openssl-devel < %{version}

%description devel
The %{name}-devel package contains the development libraries and
header files to develop software using OpenSSL.


%prep
%setup -q -n openssl-%{version}
%patch0 -p0 -b .filenames


%build
export CFLAGS="$RPM_OPT_FLAGS"
perl -pi -e 's+-O3 ++g' Configure
perl -pi -e "s+-m486+${RPM_OPT_FLAGS}+g" Configure
perl util/perlpath.pl /usr/bin/perl
./Configure \
	--prefix=/usr                  \
	--openssldir=/usr/share/ssl097 \
	--with-krb5-dir=/usr/kerberos  \
	--with-krb5-flavor=MIT         \
	threads                        \
	zlib                           \
	shared                         \
	-DSSL_ALLOW_ADH                \
	linux-elf
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make \
	INSTALL_PREFIX=$RPM_BUILD_ROOT \
	MANDIR=/usr/share/man          \
	MANSUFFIX=ssl                  \
	install
rm -f $RPM_BUILD_ROOT/usr/lib/libfips.so
ln -s openssl/ssl.h $RPM_BUILD_ROOT/usr/include/ssl.h
tar cf - certs/* | tar xf - -C $RPM_BUILD_ROOT/usr/share/ssl097/
install -m 0644 $RPM_SOURCE_DIR/Makefile.certs \
   $RPM_BUILD_ROOT/usr/share/ssl097/certs/Makefile
for file in openssl c_rehash openssl_fips_fingerprint; do
   mv -f "$RPM_BUILD_ROOT/usr/bin/$file" "$RPM_BUILD_ROOT/usr/bin/${file}097";
done


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES* FAQ INSTALL* LICENSE NEWS PROBLEMS README*
%doc doc/c-indent* doc/openssl* doc/ssleay* doc/standards*
%doc doc/HOWTO
/usr/bin/*
/usr/lib/*.so.*
/usr/share/man/man1/*
/usr/share/man/man5/*
%dir /usr/share/ssl097
%config(noreplace) /usr/share/ssl097/*

%files devel
%defattr(-,root,root)
/usr/include/*.h
%dir /usr/include/openssl
/usr/include/openssl/*
/usr/lib/*.*a
/usr/lib/*.so
/usr/lib/pkgconfig/*
/usr/share/man/man3/*
/usr/share/man/man7/*


%changelog
* Wed May 04 2005 peter.pramberger@member.fsf.org
- new version 0.9.7g

* Thu Oct 28 2004 peter.pramberger@member.fsf.org
- new version 0.9.7e

* Mon Jun 14 2004 peter.pramberger@member.fsf.org
- add patch to fix PKCS7 bug

* Sat Apr 17 2004 peter.pramberger@member.fsf.org
- created

